curl --request POST \
--url https://kms.{region}.basaltic.sh/v1/keys/{key_id}/decrypt \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ciphertext": "AQIDBHByb2QtbWFzdGVyL2VuY3J5cHRlZA==",
"aad": "YWNjb3VudC1pZD0xMjM0"
}
'import requests
url = "https://kms.{region}.basaltic.sh/v1/keys/{key_id}/decrypt"
payload = {
"ciphertext": "AQIDBHByb2QtbWFzdGVyL2VuY3J5cHRlZA==",
"aad": "YWNjb3VudC1pZD0xMjM0"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ciphertext: 'AQIDBHByb2QtbWFzdGVyL2VuY3J5cHRlZA==',
aad: 'YWNjb3VudC1pZD0xMjM0'
})
};
fetch('https://kms.{region}.basaltic.sh/v1/keys/{key_id}/decrypt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"plaintext": "c3VwZXItc2VjcmV0LXZhbHVl"
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Descriptografar um texto cifrado
kms:Decrypt. Consulte permissões de KMS para obter a lista completa, o que cada uma abrange e um exemplo de política.Autorizações
Um token bearer OAuth 2.0, enviado como Authorization: Bearer <token>. Esta é a forma recomendada de autenticação.
Obtenha o token trocando o par de chaves de acesso de uma conta de serviço em POST /v1/oauth/token com grant_type=client_credentials. Esse é o fluxo padrão de credenciais de cliente; bibliotecas compatíveis com OAuth podem obter e renovar o token para você.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Os tokens duram uma hora por padrão. O mesmo par de chaves de acesso também serve como credencial AWS SigV4 para o endpoint de objetos compatível com S3, que aceita somente esse método de autenticação.
Parâmetros de caminho
"3f8a1c2e-9b47-4d6a-bc11-0e2f5a7d9c41"
Corpo
Ciphertext codificado em Base64 produzido pelo Encrypt.
"AQIDBHByb2QtbWFzdGVyL2VuY3J5cHRlZA=="
AAD base64-codificado opcional. Deve corresponder ao que foi fornecido em Encrypt — valor diferente falha na verificação de tag.
"YWNjb3VudC1pZD0xMjM0"
Resposta
Texto simples
Texto simples codificado em Base64.
"c3VwZXItc2VjcmV0LXZhbHVl"

